INTERFACE
SUBROUTINE LARMES(KST,KPROF,KSTABUF,LDSETTLS,PB1,PB2,&
 & PLSDEPI,PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,PNORDL,PNORDM,&
 & KVSEPC,KVSEPL,&
 & PLON,PLAT,PCOSCO,PSINCO,PSINLA,PCOPHI,PLEV,PR,PS,PUF,PVF,PWF,&
 & KL0,KLH0,PDLO,PCLO,PDLAT,PCLA,KLEV,PDVER,PVINTW,PVINTWS) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN ,NDGSAH ,&
 & NDGENH ,NDLUNG ,NDLUXG ,NDGUNG ,NDGUXG ,NRLEVX 
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(NDGSAH:NDGENH)
LOGICAL ,INTENT(IN) :: LDSETTLS
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(NDGSAH:NDGENH)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDM(NPROMA)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPC
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPL
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWF(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(NPROMA,NFLEVG,3)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWS(NPROMA,NFLEVG,1:4)
END SUBROUTINE LARMES
END INTERFACE
